<!DOCTYPE html>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

<html>
  <!--<![endif]-->

  <link rel="stylesheet" href="./common/commonheader.css" />
  <link
    rel="stylesheet"
    href="./plugins/formvalidationio/css/formValidation.min.css"
  />

  <head>
    <title>Immidart Technologies LLP</title>

    <!-- Meta -->
    <meta charset="UTF-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1.0, user-scalable=0, minimum-scale=1.0, maximum-scale=1.0"
    />
    <meta name="apple-mobile-web-app-capable" content="yes" />
    <meta name="apple-mobile-web-app-status-bar-style" content="black" />

    <!-- Bootstrap -->
    <link href="./plugins/bootstrap/4.0.0_bootstrap.min.css" rel="stylesheet" />

    <!-- Font Awesome Icons -->
    <link
      rel="stylesheet"
      href="./plugins/fontawesome-free-5.13.1-web/css/all.css"
    />

    <!-- JQueryUI v1.10.2 -->
    <script
      type="text/javascript"
      language="javascript"
      src="./plugins/jquery/jquery.min.js"
    ></script>

    <!-- Theme -->
    <link rel="stylesheet" href="./theme/css/style.min-fontest.css" />

    <!-- Checkbox -->
    <link
      rel="stylesheet"
      type="text/css"
      href="./theme/css/awesome-bootstrap-checkbox.css"
    />

    <!-- bootstrap date picker -->
    <script
      src="./plugins/datePicker/bootstrap-datepicker.js"
      type="text/javascript"
    ></script>
    <link
      href="./plugins/datePicker/datepicker.css"
      rel="stylesheet"
      type="text/css"
    />

    <!-- formvalidation -->
    <link
      rel="stylesheet"
      href="./plugins/formvalidationio/css/formValidation.min.css"
    />

    <!-- Styles -->

    <link rel="stylesheet" href="./styles/component.css" />
    <!-- <link rel="stylesheet" href="./styles/index.css"> -->
  </head>
  <body>
    <!--Qualifying Modal starts-->

    <div class="row">
      <button
        class="btn mt-5 ml-4 btn-primary"
        data-toggle="modal"
        data-target="#qualifyingCriteria"
      >
        QUALIFYING CRITERIA
      </button>
    </div>

    <div
      class="modal fade"
      id="qualifyingCriteria"
      tabindex="-1"
      role="dialog"
      aria-labelledby="qualifyingCriteriaTitle"
      aria-hidden="true"
    >
      <div class="modal-dialog modal-dialog-centered" role="document">
        <div class="modal-content">
          <div class="modal-body">
            <div class="container mainStart px-0 mb-0">
              <div
                class="col-12 col-xs-12 col-ms-12 col-md-12 col-lg-12 col-xl-12 p-0"
              >
                <div
                  class="col-12 col-xs-12 col-ms-12 col-md-12 col-lg-12 col-xl-12 invite_title"
                >
                  <p>Qualifying Criteria</p>
                </div>
                <div
                  class="notopboder main_div col-12 col-xs-12 col-ms-12 col-md-12 col-lg-12 col-xl-12 bulk-table"
                >
                  <div class="table-div2">
                    <table
                      id="qualifyingCriteriaTable"
                      data-scroll-x="true"
                      class="table table-striped col-12 col-xs-12 col-ms-12 col-md-12 col-lg-12 col-xl-12"
                    >
                      <thead
                        class="col-12 col-xs-12 col-ms-12 col-md-12 col-lg-12 col-xl-12"
                      >
                        <tr>
                          <!-- <th class="">  -->
                          <!-- <i class="fas fa-long-arrow-alt-up" id="arrange" aria-hidden="true"></i> -->
                          <!-- </th> -->
                          <th class="rule_description">
                            Rule Description
                            <!-- <i class="fas fa-long-arrow-alt-up" id="arrange" aria-hidden="true"></i> -->
                          </th>
                          <th class="actual_data">
                            Actual Data
                            <!-- <i class="fas fa-long-arrow-alt-up" id="arrange" aria-hidden="true"></i> -->
                          </th>
                          <th class="remarks">
                            Remarks
                            <!-- <i class="fas fa-long-arrow-alt-up" id="arrange" aria-hidden="true"></i> -->
                          </th>
                          <th class="upload">
                            Upload
                            <!-- <i class="fas fa-long-arrow-alt-up" id="arrange" aria-hidden="true"></i> -->
                          </th>
                        </tr>
                      </thead>
                      <tbody></tbody>
                    </table>
                  </div>

                  <div>
                    <!-- <img src="https://encrypted-tbn0.gstatic.com/images?q=tbn%3AANd9GcRNiLh5f-pqrlaOWlEFiqXvZbv_P1KWxSnXPA&usqp=CAU" alt=""> -->
                  </div>
                </div>
                <div class="updateButtonDiv">
                  <button class="btn btn-primary updateButton">
                    Update <i class="fa fa-arrow-right" aria-hidden="true"></i>
                  </button>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <!--Qualifying Modal end-->

    <!-- REQUEST INITIATION -->
    <!-- pop up -->
    <div class="row">
      <button
        class="btn mt-5 ml-4 btn-primary"
        data-toggle="modal"
        data-target="#exampleModal"
      >
        REQUEST INITIATION
      </button>
    </div>

    <div
      class="modal fade delete-modal"
      id="exampleModal"
      tabindex="-1"
      role="dialog"
      aria-labelledby="exampleModalLabel"
      aria-hidden="true"
    >
      <div class="modal-dialog" role="document" style="width: 34%">
        <div class="modal-content">
          <div class="modal-header">
            <h4
              class="modal-title"
              style="margin-bottom: 0px; color: black; font-size: 14px"
              id="exampleModalLabel"
            >
              NEW IAS REQUEST
            </h4>
            <button
              type="button"
              class="close"
              data-dismiss="modal"
              aria-label="Close"
              style="
                padding: 1rem;
                margin: -1rem -1rem -1rem auto;
                cursor: pointer;
              "
            >
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <h6 style="font-size: 14px">SELECT THE REQUEST TYPE</h6>
            <div class="twoTypes">
              <div class="selfClick active">
                <svg
                  xmlns="http://www.w3.org/2000/svg"
                  width="24"
                  height="24"
                  viewBox="0 0 24 24"
                >
                  <path
                    id="icons8-selfies"
                    d="M25.143,4H6.857A2.86,2.86,0,0,0,4,6.857V25.143A2.86,2.86,0,0,0,6.857,28H25.143A2.86,2.86,0,0,0,28,25.143V6.857A2.86,2.86,0,0,0,25.143,4ZM16,8a4.571,4.571,0,1,1-4.571,4.571A4.572,4.572,0,0,1,16,8Zm0,12a7.452,7.452,0,0,1,7.429,6.857H8.571A7.452,7.452,0,0,1,16,20Z"
                    transform="translate(-4 -4)"
                    fill="#2f3033"
                  />
                </svg>
                <div class="textBottom">For Self</div>
              </div>
              <div class="applicantClick">
                <svg
                  xmlns="http://www.w3.org/2000/svg"
                  width="24"
                  height="24"
                  viewBox="0 0 24 24"
                >
                  <path
                    id="icons8-applicant"
                    d="M7,2V25H22.628v1H31V17.5H27.093V2Zm5.809,3a.741.741,0,0,1,.625.275c.847,0,.627,1.057.5,1.4A.458.458,0,0,1,14.038,7a.478.478,0,0,1-.239.362.849.849,0,0,1-.412.587,4.462,4.462,0,0,0,0,.519c.241.58,1.848.417,1.923,1.535H10.349c.075-1.119,1.681-.956,1.922-1.535a4.462,4.462,0,0,0,0-.519.956.956,0,0,1-.424-.587.449.449,0,0,1-.24-.4.388.388,0,0,1,.121-.276C11.491,5.865,11.592,5.02,12.809,5Zm5.912,1h4.465a.5.5,0,1,1,0,1H18.721a.5.5,0,1,1,0-1Zm0,2.5h4.465a.5.5,0,1,1,0,1H18.721a.5.5,0,1,1,0-1Zm-7.814,5h7.814a.5.5,0,1,1,0,1H10.907a.5.5,0,1,1,0-1Zm10.6,0h1.674a.5.5,0,1,1,0,1H21.512a.5.5,0,1,1,0-1Zm-10.6,3h6.14a.5.5,0,1,1,0,1h-6.14a.5.5,0,1,1,0-1Zm12.837,2h6.14V20h-6.14Zm-12.837,1h7.814a.5.5,0,1,1,0,1H10.907a.5.5,0,1,1,0-1ZM23.744,21h6.14v1.5h-6.14Zm0,2.5h6.14V25h-6.14Z"
                    transform="translate(-7 -2)"
                    fill="#2f3033"
                  />
                </svg>
                <div class="textBottom">For Applicant</div>
              </div>
            </div>
          </div>
          <div class="modal-footer">
            <button
              class="btn btn-primary yes-btn"
              data-dismiss="modal"
              style="font-size: 14px"
            >
              CONTINUE
            </button>
          </div>
        </div>
      </div>
    </div>
    <!-- pop up-->

    <!-- REQUEST INITIATION -->

    <!--RejectingApplicationModal Begins-->
    <div class="row">
      <button
        class="btn mt-5 ml-4 btn-primary"
        data-toggle="modal"
        data-target="#rejectingApplicationModal"
      >
        REJECT
      </button>
    </div>

    <div
      class="modal fade"
      id="rejectingApplicationModal"
      tabindex="-1"
      role="dialog"
    >
      <div class="modal-dialog modal-sm modal-dialog-centered" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <p class="modal-title">Rejecting Application</p>
            <p>
              <i
                class="fa fa-times link"
                data-dismiss="modal"
                aria-hidden="true"
              ></i>
            </p>
          </div>
          <div class="modal-body">
            <form>
              <div class="textArea form-group">
                <!-- <input type="text" class="form-control" placeholder="Remarks"> -->
                <textarea
                  placeholder="Enter Remarks"
                  name=""
                  class="form-control"
                  cols="30"
                  rows="50"
                ></textarea>
              </div>
            </form>
          </div>
          <div class="modal-footer d-flex">
            <button
              class="btn btn-primary updateButton"
              style="
                background-color: white;
                border: 1px solid #728691;
                color: #728691;
                text-shadow: none;
              "
            >
              Cancel
            </button>
            <button
              class="btn btn-primary updateButton"
              style="
                background-color: #4caf50;
                border: 1px solid #4caf50;
                text-shadow: none;
              "
            >
              Reject
            </button>
          </div>
        </div>
      </div>
    </div>

    <!--RejectingApplicationModal end-->

    <!--VALIDATION ERRORS Begins-->
    <div class="row">
      <button
        class="btn mt-5 ml-4 btn-primary"
        data-toggle="modal"
        data-target="#addNewJob"
      >
        ADD JOB
      </button>
    </div>

    <div class="modal fade" id="addNewJob" tabindex="-1" role="dialog">
      <div class="modal-dialog modal-sm modal-dialog-centered" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <p class="modal-title">VALIDATION ERRORS</p>
            <p>
              <i
                class="fa fa-times link"
                data-dismiss="modal"
                aria-hidden="true"
              ></i>
            </p>
          </div>
          <div class="modal-body">
            <form>
              <div class="textArea form-group">
                <!-- <input type="text" class="form-control" placeholder="Remarks"> -->
                <label
                  for=""
                  style="color: #728691; font-size: 14px; margin-bottom: 10px"
                  >JOB DESCRIPTION</label
                >
                <textarea
                  placeholder=""
                  name=""
                  class="form-control"
                  cols="30"
                  rows="50"
                ></textarea>
              </div>
            </form>
          </div>
          <div class="modal-footer d-flex">
            <button
              class="btn btn-primary updateButton"
              style="
                background-color: white;
                border: 1px solid #728691;
                color: #728691;
                text-shadow: none;
              "
            >
              Cancel
            </button>
            <button
              class="btn btn-primary updateButton"
              style="
                background-color: #4caf50;
                border: 1px solid #4caf50;
                text-shadow: none;
              "
            >
              Save
            </button>
          </div>
        </div>
      </div>
    </div>

    <!--VALIDATION ERRORS end-->

    <!--ADD NEW ADDRESS Begins-->
    <div class="row">
      <button
        class="btn mt-5 ml-4 btn-primary"
        data-toggle="modal"
        data-target="#addNewAddress"
      >
        ADD ADDRESS
      </button>
    </div>

    <div class="modal fade" id="addNewAddress" tabindex="-1" role="dialog">
      <div class="modal-dialog modal-sm modal-dialog-centered" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <p class="modal-title">ADD NEW ADDRESS</p>
            <p>
              <i
                class="fa fa-times link"
                data-dismiss="modal"
                aria-hidden="true"
              ></i>
            </p>
          </div>
          <div class="modal-body">
            <form>
              <div class="row">
                <div
                  class="col-12 col-xs-12 col-ms-12 col-md-6 col-lg-4 col-xl-4"
                >
                  <div class="form-group">
                    <label for="formGroupInput1q6" style="margin-top: 12px"
                      >LOCATION TYPE</label
                    >
                    <select
                      name="visaRequestNumber"
                      class="custom-select"
                      id="formGroupInput116"
                      style="
                        border-radius: 7px !important;
                        height: 34px;
                        padding-left: 14px;
                      "
                    >
                      <option value="" selected>Select</option>
                      <option value="india">India</option>
                      <option value="usa">USA</option>
                    </select>
                  </div>
                </div>
                <div
                  class="col-12 col-xs-12 col-ms-12 col-md-7 col-lg-8 col-xl-8"
                >
                  <div class="form-group" style="padding-left: 6px">
                    <label
                      for="formGroupInput112"
                      style="
                        color: #728691;
                        font-size: 14px;
                        margin-bottom: 10px;
                        margin-top: 10px;
                      "
                      >WORK ADDRESS - ADDRESS LINE 1</label
                    >
                    <input
                      type="text"
                      name="assignmentRequestNo"
                      class="form-control enable_input"
                      id="formGroupInput112"
                      placeholder="Enter Address"
                      style="
                        border-radius: 7px !important;
                        height: 34px;
                        padding-left: 14px;
                      "
                    />
                  </div>
                </div>
              </div>
              <div class="row">
                <div
                  class="col-12 col-xs-12 col-ms-12 col-md-5 col-lg-8 col-xl-8"
                >
                  <div class="form-group" style="padding-left: 6px">
                    <label
                      for="formGroupInput112"
                      style="
                        color: #728691;
                        font-size: 14px;
                        margin-bottom: 10px;
                        margin-top: 10px;
                      "
                      >WORK ADDRESS - ADDRESS LINE 2</label
                    >
                    <input
                      type="text"
                      name="assignmentRequestNo"
                      class="form-control enable_input"
                      id="formGroupInput112"
                      placeholder="Enter Address"
                      style="
                        border-radius: 7px !important;
                        height: 34px;
                        padding-left: 14px;
                      "
                    />
                  </div>
                </div>
                <div
                  class="col-12 col-xs-12 col-ms-12 col-md-7 col-lg-4 col-xl-4"
                >
                  <div class="form-group" style="padding-left: 6px">
                    <label
                      for="formGroupInput112"
                      style="
                        color: #728691;
                        font-size: 14px;
                        margin-bottom: 10px;
                        margin-top: 10px;
                      "
                      >CITY</label
                    >
                    <input
                      type="text"
                      name="assignmentRequestNo"
                      class="form-control enable_input"
                      id="formGroupInput112"
                      placeholder="Select"
                      style="
                        border-radius: 7px !important;
                        height: 34px;
                        padding-left: 14px;
                      "
                    />
                  </div>
                </div>
              </div>
              <div class="row">
                <div
                  class="col-12 col-xs-12 col-ms-12 col-md-5 col-lg-4 col-xl-4"
                >
                  <div class="form-group" style="padding-left: 6px">
                    <label
                      for="formGroupInput112"
                      style="
                        color: #728691;
                        font-size: 14px;
                        margin-bottom: 10px;
                        margin-top: 10px;
                      "
                      >STATE/REGION/PROVINCE</label
                    >
                    <input
                      type="text"
                      name="assignmentRequestNo"
                      class="form-control enable_input"
                      id="formGroupInput112"
                      placeholder="Select"
                      style="
                        border-radius: 7px !important;
                        height: 34px;
                        padding-left: 14px;
                      "
                    />
                  </div>
                </div>
                <div
                  class="col-12 col-xs-12 col-ms-12 col-md-7 col-lg-4 col-xl-4"
                >
                  <div class="form-group" style="padding-left: 6px">
                    <label
                      for="formGroupInput112"
                      style="
                        color: #728691;
                        font-size: 14px;
                        margin-bottom: 10px;
                        margin-top: 10px;
                      "
                      >POSTAL CODE/ZIP CODE</label
                    >
                    <input
                      type="text"
                      name="assignmentRequestNo"
                      class="form-control enable_input"
                      id="formGroupInput112"
                      placeholder="Enter Postal code/Zip Code"
                      style="
                        border-radius: 7px !important;
                        height: 34px;
                        padding-left: 14px;
                      "
                    />
                  </div>
                </div>
              </div>
            </form>
          </div>
          <div class="modal-footer d-flex">
            <button
              class="btn btn-primary updateButton"
              style="
                background-color: white;
                border: 1px solid #728691;
                color: #728691;
                text-shadow: none;
              "
            >
              Cancel
            </button>
            <button
              class="btn btn-primary updateButton"
              style="
                background-color: #4caf50;
                border: 1px solid #4caf50;
                text-shadow: none;
              "
            >
              Save
            </button>
          </div>
        </div>
      </div>
    </div>

    <!--ADD NEW ADDRESS end-->

    <!--INITIATE REQUEST  -->

    <div class="row">
      <button
        class="btn mt-5 ml-4 btn-primary"
        data-toggle="modal"
        data-target="#addInitiate"
      >
        INITIATE CHILD REQUEST
      </button>
    </div>

    <div class="modal fade" id="addInitiate" tabindex="-1" role="dialog">
      <div class="modal-dialog modal-sm modal-dialog-centered" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <p class="modal-title">INITIATE REQUEST</p>
            <p>
              <i
                class="fa fa-times link"
                data-dismiss="modal"
                aria-hidden="true"
              ></i>
            </p>
          </div>
          <div class="modal-body">
            <form>
              <div class="row">
                <div
                  class="col-12 col-xs-12 col-ms-12 col-md-6 col-lg-4 col-xl-4"
                >
                  <div class="form-group">
                    <label for="formGroupInput1q6" style="margin-top: 12px"
                      >DEPLOYMENT MODEL</label
                    >
                    <select
                      name="visaRequestNumber"
                      class="custom-select"
                      id="formGroupInput116"
                      style="
                        border-radius: 7px !important;
                        height: 34px;
                        padding-left: 14px;
                      "
                    >
                      <option value="" selected>Select</option>
                      <option value="india">India</option>
                      <option value="usa">USA</option>
                    </select>
                  </div>
                </div>
                <div
                  class="col-12 col-xs-12 col-ms-12 col-md-6 col-lg-4 col-xl-4"
                >
                  <div class="form-group">
                    <label for="formGroupInput115" style="margin-top: 11px"
                      >Intended Start date</label
                    >
                    <div
                      id="formGroupInput115"
                      class="input-group date"
                      data-date-format="dd-mm-yyyy"
                    >
                      <input
                        name="workPermitStartDate"
                        class="form-control datepicker"
                        type="text"
                        placeholder="22/06/2022"
                        style="
                          border-radius: 7px !important;
                          height: 34px;
                          padding-left: 14px;
                        "
                      />
                      <span
                        class="input-group-addon"
                        style="
                          position: absolute;
                          right: 10px;
                          top: 5px;
                          font-size: 16px;
                        "
                        ><i class="fa fa-calendar" aria-hidden="true"></i
                      ></span>
                    </div>
                  </div>
                </div>
                <div
                  class="col-12 col-xs-12 col-ms-12 col-md-6 col-lg-4 col-xl-4"
                >
                  <div class="form-group">
                    <label for="formGroupInput115" style="margin-top: 11px"
                      >Intended End date</label
                    >
                    <div
                      id="formGroupInput115"
                      class="input-group date"
                      data-date-format="dd-mm-yyyy"
                    >
                      <input
                        name="workPermitStartDate"
                        class="form-control datepicker"
                        type="text"
                        placeholder="22/06/2022"
                        style="
                          border-radius: 7px !important;
                          height: 34px;
                          padding-left: 14px;
                        "
                      />
                      <span
                        class="input-group-addon"
                        style="
                          position: absolute;
                          right: 10px;
                          top: 5px;
                          font-size: 16px;
                        "
                        ><i class="fa fa-calendar" aria-hidden="true"></i
                      ></span>
                    </div>
                  </div>
                </div>
              </div>
              <div class="row">
                <div
                  class="col-12 col-xs-12 col-ms-12 col-md-6 col-lg-6 col-xl-6"
                >
                  <div class="form-group">
                    <label for="formGroupInput1q6" style="margin-top: 12px"
                      >ASSIGNMENT TYPE</label
                    >
                    <select
                      name="visaRequestNumber"
                      class="custom-select"
                      id="formGroupInput116"
                      style="
                        border-radius: 7px !important;
                        height: 34px;
                        padding-left: 14px;
                      "
                    >
                      <option value="" selected>Select</option>
                      <option value="india">India</option>
                      <option value="usa">USA</option>
                    </select>
                  </div>
                </div>
                <div
                  class="col-12 col-xs-12 col-ms-12 col-md-6 col-lg-6 col-xl-6"
                >
                  <div class="form-group">
                    <label for="formGroupInput1q6" style="margin-top: 12px"
                      >SELECT WORK FLOW</label
                    >
                    <select
                      name="visaRequestNumber"
                      class="custom-select"
                      id="formGroupInput116"
                      style="
                        border-radius: 7px !important;
                        height: 34px;
                        padding-left: 14px;
                      "
                    >
                      <option value="" selected>Select</option>
                      <option value="india">India</option>
                      <option value="usa">USA</option>
                    </select>
                  </div>
                </div>
              </div>
              <div class="row">
                <div
                  class="col-12 col-xs-12 col-ms-12 col-md-12 col-lg-8 col-xl-8 dateInput"
                >
                  <div class="form-group">
                    <label for="formGroupInput307">DEPENDENTS</label>
                    <div class="">
                      <div
                        class="custom-control custom-checkbox customCheckbox mb-3 mt-3"
                      >
                        <input
                          type="checkbox"
                          class="custom-control-input"
                          id="customCheckOut"
                        />
                        <label
                          class="custom-control-label"
                          for="customCheckOut"
                        ></label>
                        <label
                          for="formGroupInput307"
                          class="mt-1"
                          style="font-size: 14px; color: #000000"
                          >Dependent 1</label
                        >
                      </div>
                      <div
                        class="custom-control custom-checkbox customCheckbox mb-3"
                      >
                        <input
                          type="checkbox"
                          class="custom-control-input"
                          id="customCheckOu"
                        />
                        <label
                          class="custom-control-label"
                          for="customCheckOu"
                        ></label>
                        <label
                          for="formGroupInput307"
                          class="mt-1"
                          style="font-size: 14px; color: #000000"
                          >Dependent 2</label
                        >
                      </div>
                      <div
                        class="custom-control custom-checkbox customCheckbox"
                      >
                        <input
                          type="checkbox"
                          class="custom-control-input"
                          id="customCheckOutIn"
                        />
                        <label
                          class="custom-control-label"
                          for="customCheckOutIn"
                        ></label>
                        <label
                          for="formGroupInput307"
                          class="mt-1"
                          style="font-size: 14px; color: #000000"
                          >Dependent 3</label
                        >
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </form>
          </div>
          <div class="modal-footer d-flex">
            <button
              class="btn btn-primary updateButton"
              style="
                background-color: white;
                border: 1px solid #728691;
                color: #728691;
                text-shadow: none;
              "
            >
              Cancel
            </button>
            <button
              class="btn btn-primary updateButton"
              style="
                background-color: #4caf50;
                border: 1px solid #4caf50;
                text-shadow: none;
              "
            >
              Save
            </button>
          </div>
        </div>
      </div>
    </div>

    <!-- INITIATE REQUEST -->

    <!-- snackbar -->

    <div class="row">
      <button class="btn mt-5 ml-4 btn-primary" id="dispalyAlert">
        SNACK BAR
      </button>
    </div>

    <div
      style="
        background-color: rgb(25, 27, 28);
        border-radius: 6px;
        width: 555px;
        margin: auto;
        padding: 20px;
        color: rgb(255, 255, 255);
        font-size: 12px;
        display: none;
        position: fixed;
        bottom: 82px;
        z-index: 9;
        left: 0;
        right: 0;
      "
      id="alertBox"
    >
      There's another request available in this combination, Please check.<span
        class="mr-1"
        style="color: #3083ff; text-decoration: underline"
      >
        #2123478437,</span
      >
      <span class="mr-2" style="color: #3083ff; text-decoration: underline"
        >View</span
      >
      <i
        class="fa fa-times link"
        data-dismiss="modal"
        aria-hidden="true"
        style="cursor: pointer"
        id="dismissIcon"
      ></i>
    </div>

    <!-- snackbar -->


<div class="row mt-5 mx-2 mb-4">
  <!-- Button trigger modal -->
  <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModal2">
    Employee pop-up
  </button>
  <!-- Button trigger modal -->

  <div class="modal fade success-modal" id="exampleModal2" tabindex="-1" role="dialog"
      aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog" role="document">
          <div class="modal-content" style="margin-top: 50%;">
            <div class="modal-header" style="padding: 1rem;background-color: white;box-shadow: none;display: flex; justify-content: flex-end;border-bottom: none;padding-top: 12px;padding-bottom: 0px;">
              <p>
                <i
                  class="fa fa-times link"
                  data-dismiss="modal"
                  aria-hidden="true"
                ></i>
              </p>
            </div>
              <div class="modal-body" style="border-top: none;">
                <img src="./assets/images/icons8-info (3) (2).svg" style="padding-bottom: 12px;" alt="info">
                  <p class="mb-0" style="font-size: 14px;color: #696A6C;padding: 0px 20px;">Sorry! You can't submit since there's existing record(s) available for the combination chosen. Please modify and continue with that.</p>
                  <button class="btn btn-primary yes-btn" data-dismiss="modal" style="border:1px solid #1D94CE;font-size: 12px;text-shadow:none" >Okay</button>
              </div>
          </div>
      </div>
  </div>
</div>
<!--self assesment Modal -->

  </body>
  <script src="./plugins/bootstrap/bootstrap.min.js"></script>
  <script src="./plugins/formvalidationio/js/FormValidation.min.js"></script>
  <script
    type="text/javascript"
    src="./plugins/datatable/jquery.dataTables.min.js"
  ></script>
  <script src="./plugins/formvalidationio/js/plugins/Bootstrap3.js"></script>
  <script type="text/javascript">
    $(document).ready(function () {
      $("#myTable").DataTable({
        sDom: "lrtip",
        language: {
          sLengthMenu: "_MENU_",
          ordering: true,
        },
      });
    });
    $(function () {
      $(".datepicker").datepicker({
        constrainInput: false,
        format: "dd/mm/yyyy",
      });

      $("#dispalyAlert").click(function () {
        $("#alertBox").toggle();
      });

      $("#dismissIcon").click(function () {
        $("#alertBox").hide();
      });

      $(".locationInfo .headings .head-tabs p").click(function () {
        let tabToggleClass = $(this).data("id");
        $(".locationInfo").find(".tab-active").removeClass("tab-active");
        $(this).addClass("tab-active");
        $(".hide-show-panel").hide();
        $("#" + tabToggleClass).show();
      });
    });

    $(document).ready(function () {
      $(".applicantClick").click(function () {
        $(".selfClick").removeClass("active");
        $(".applicantClick").addClass("active");
      });
    });
    $(document).ready(function () {
      $(".selfClick").click(function () {
        $(".applicantClick").removeClass("active");
        $(".selfClick").addClass("active");
      });

      //qualifyingCriteriaObject dynamic data from backend

      let qualifyingCriteriaObject = [
        {
          rule_description: "Upload Passport",
          actual_data: "Not Uploaded",
          status: "failed",
          dropdownData: true,
        },
        {
          rule_description: "Passport Should be valid",
          actual_data: "Valid Passport",
          status: "successed",
          dropdownData: false,
        },
        {
          rule_description: "Experience should be 3 years",
          actual_data: "Less than 3 years",
          status: "failed",
          dropdownData: false,
        },
        {
          rule_description: "Experience should be 3 years",
          actual_data: "Less than 3 years",
          status: "warning",
          dropdownData: false,
        },
        {
          rule_description: "Experience should be 3 years",
          actual_data: "Less than 3 years",
          status: "warning",
          dropdownData: false,
        },
        {
          rule_description: "Experience should be 3 years",
          actual_data: "Less than 3 years",
          status: "warning",
          dropdownData: false,
        },
      ];

      //construct qualifyingCriteriaObject data to html

      qualifyingCriteriaObject.map(function (data) {
        // debugger
        let className, icon, dropDownIcon;
        if (data.status == "failed") {
          className = "closeIcon";
          icon = "fa-times";
        } else if (data.status == "successed") {
          className = "tickIcon";
          icon = "fa-check";
        } else if (data.status == "warning") {
          className = "warningIcon";
          icon = "fa-exclamation-triangle";
        }

        if (data.dropdownData) {
          dropDownIcon = `<span class='details-control collpaseSpacing'><i class='fa fa-angle-down fa-2x down link' aria-hidden='true'></i><i class='fa fa-angle-up fa-2x hide up link' aria-hidden='true'></i></span>`;
        } else {
          dropDownIcon = "";
        }
        $("#qualifyingCriteriaTable tbody").append(`
                <tr>
                    <td><span class='fontWeightClass'><span class='circleIcon ${className}'><i class='fa ${icon}' aria-hidden='true' ></i></span><span>${data.rule_description}</span></span></td>
                    <td>${data.actual_data}</td>
                    <td><input type='text' class='form-control' placeholder='Enter Remarks' /></td>
                    <td class='text-justify'><i class='fas fa-cloud-upload-alt link'  style='color:grey;' aria-hidden='true'></i>${dropDownIcon}</td>
                </tr>
            `);
      });

      var table = $("#qualifyingCriteriaTable").DataTable({
        language: {
          sLengthMenu: " _MENU_",
        },

        ordering: false,
        bFilter: false,
        bPaginate: false,
        scrollY: "58.35294117647059vh",
        bInfo: false,
      });

      function format(d) {
        // `d` is the original data object for the row
        return (
          '<div class="table-child" style="width:95%;margin:auto;border: 1px solid #dee2e682;border-radius:7px;">' +
          '<table cellpadding="5" cellspacing="0" border="0" style="width:100%;border: 1px solid #dee2e617;margin:auto;font-size:14px;">' +
          "<tr>" +
          '<td style="font-weight:600;">Passport.jpg</td>' +
          '<td style="width:5%;padding-right:0px;"> <div class="borderRightClass">.jpg</div></td>' +
          '<td style="text-align:start;">2.6 MB</td>' +
          '<td style="text-align:right"><i class="fa fa-download" style="margin:auto 8px;color:grey;" aria-hidden="true"></i><i class="fa fa-eye" style="margin:auto 8px;color:grey;" aria-hidden="true"></i><i class="fa fa-trash-o" style="margin:auto 8px;color:grey;" aria-hidden="true"><i class="fa fa-trash" style="margin:auto 8px;color:grey;" aria-hidden="true"></i></td>' +
          "</tr>" +
          "<tr>" +
          '<td style="font-weight:600;">Marksheet.pdf</td>' +
          '<td style="width:5%;padding-right:0px;"> <div class="borderRightClass">.jpg<div> </td>' +
          '<td style="text-align:start;">2.6 MB</td>' +
          '<td style="text-align:right"><i class="fa fa-download" style="margin:auto 8px;color:grey;" aria-hidden="true"></i><i class="fa fa-eye" style="margin:auto 8px;color:grey;" aria-hidden="true"></i><i class="fa fa-trash-o" style="margin:auto 8px;color:grey;" aria-hidden="true"><i class="fa fa-trash" style="margin:auto 8px;color:grey;" aria-hidden="true"></i></td>' +
          "</tr>" +
          "</table>" +
          "<div>"
        );
      }

      // click to collape-expand

      $("#qualifyingCriteriaTable tbody").on(
        "click",
        ".details-control",
        function () {
          debugger;
          var tr = $(this).closest("tr");
          var row = table.row(tr);

          if (row.child.isShown()) {
            // This row is already open - close it
            debugger;
            row.child.hide();
            tr.removeClass("shown");

            // $("span").children(".down").removeClass("hide")
            // $("span").children(".up").addClass("hide")
            $(this).find(".down").removeClass("hide");
            $(this).find(".up").addClass("hide");
          } else {
            // Open this row
            debugger;
            row.child(format(row.data())).show();
            tr.addClass("shown");

            $(this).find(".up").removeClass("hide");
            $(this).find(".down").addClass("hide");
          }
        }
      );

      $("#hr").hide();
      $(".modal-buttons").hide();

      $("#e2").select2({
        placeholder: "Country Multi Select",
        allowClear: true,
      });

      $("#e1").select2({
        placeholder: "Country",
        allowClear: true,
      });
      $(".myclass").one("select2:open", function (e) {
        $("input.select2-search__field").prop("placeholder", "Search here");
      });

      $("#sendToApplicant").select2({
        // placeholder: "Country",
        allowClear: true,
      });
    });
  </script>
</html>
